apt-src (0.25.4) unstable; urgency=medium

  [ Helge Kreutzmann <debian@helgefjell.de> ]
  * Recode French addendum into UTF-8 (closes: #1073483).
  * Add German man page translation (closes: #1026782).
  * And also add German addendum.
  * Add Dutch man page translation (closes: #1070916).
  * Add Portuguese man page translation (closes: #980162).
  * Resolve issues in apt-src man page (closes: #1026896).
  * Unfuzzy existing man page translations where possible.

  [ Laszlo Boszormenyi (GCS) ]
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Mar 2025 14:50:22 +0100

apt-src (0.25.3) unstable; urgency=medium

  * Update packaging bits.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

  [ David Claughton <david.claughton@btinternet.com> ]
  * Fix aborting installation of build-deps (closes: #186005).

  [ anarcat <anarcat@koumbit.org> ]
  * Fix APT::Src::RootCommand use (closes: #344848).

  [ Julien Louis <arthur51@ifrance.com> ]
  * Switch to po4a to handle manpage translations (closes: #280078).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Jan 2021 13:41:24 +0100

apt-src (0.25.2+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:32:30 +0100

apt-src (0.25.2) unstable; urgency=low

  * Switch to dh_prep.
  * Add build-arch and build-indep targets.
  * Specify rules file format.
  * Update my email address.
  * Sync with Ubuntu.

  [ Joao Eriberto Mota Filho <eriberto@debian.org> ]
  * Bumped DH level to 10 (closes: #817351).
  * Bumped Standards-Version to 3.9.8.
  * Migrated to DebSrc 3.0 to fix erroneous revision statement.

  [ Logan Rosen <logatronico@gmail.com> ]
  * Fix --help for apt-src wrong spelling (closes: #684350).
  * Recognize APT::Src::Location (closes:  #290443).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Dec 2016 15:25:48 +0000

apt-src (0.25.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix POD files to be compatible with perl 5.18. Closes: #723955.
  * debian/rules:
     - Use $(DESTDIR) instead of PREFIX MakeMaker hack.

 -- Bill Allombert <ballombe@debian.org>  Thu, 10 Oct 2013 21:40:30 +0200

apt-src (0.25.1-0.1) unstable; urgency=low

  * NMU
  * Include French generated manpage from #280078
  * Spanish manpage translation update (Closes: #257728)

 -- Thomas Huriaux <thomas.huriaux@gmail.com>  Sat, 27 Jan 2007 10:56:52 +0100

apt-src (0.25.1) unstable; urgency=low

  * Bugfix release:
    - Install latest version of package sources (thanks to Eric Wong
      <eric@petta-tech.com>, closes: #183223).
    - Add -rfakeroot to APT::Src::BuildCommand for non root users (thanks to
      Michael Banck <mbanck@debian.org>, closes: #232657).
    - Add configuration item APT::Src::NoDeleteSource for not removing source
      files with source package (thanks to David B Harris
      <david@eelf.ddts.net>, closes: #186171).
  * New maintainer (closes: #240396).

 -- Laszlo Boszormenyi (GCS) <gcs@lsc.hu>  Sat, 22 May 2004 13:12:36 +0000

apt-src (0.25) unstable; urgency=low

  * Orphaned.

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Mar 2004 21:34:47 -0500

apt-src (0.24) unstable; urgency=low

  * Move from build-depends-indep to build-depends, to meet current policy.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Sep 2003 12:15:41 -0400

apt-src (0.23) unstable; urgency=low

  * Added Spanish translation of man page. Closes: #206199

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Aug 2003 13:46:06 -0400

apt-src (0.22) unstable; urgency=low

  * Fix a stupid logic error that zeroed status files if flcoking them for
    write failed. Doh! Closes: #201590

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Jul 2003 20:25:49 -0400

apt-src (0.21) unstable; urgency=low

  * When looking at binary packages to find a source package tied to a given
    release, only consider binary packages with the same version as the source
    package. Closes: #169858
  * Corrected version comparison.
  * Thanks to Andrew Pimlott for the analysis and patch.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Feb 2003 13:54:30 -0500

apt-src (0.20) unstable; urgency=low

  * Corrected man page, su -c can be used.
  * Added APT::Src::BuildDeps.
  * Deal with upgrading sources that are in the "unpacked" state.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Dec 2002 23:15:59 -0500

apt-src (0.19) unstable; urgency=low

  * Fix import/inject confusion. Closes: #158591

 -- Joey Hess <joeyh@debian.org>  Sat, 31 Aug 2002 18:08:37 -0400

apt-src (0.18) unstable; urgency=low

  * Removed the kernel-specific changelog parsing hack, since I don't think it
    was really useful.
  * Fixed regexp based listing.
  * Shut up apt progress info that goes to stdout and messed up version,
    location, and name commands.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2002 12:25:35 -0400

apt-src (0.17) unstable; urgency=low

  * Truncate overlong fields in apt-src list.
  * Allow use of binary package names anywhere a package name can be
    specified, not only at install time. Closes: #157106

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Aug 2002 19:04:45 -0400

apt-src (0.16) unstable; urgency=low

  * Support --apend-to-version built kernel trees.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Aug 2002 13:55:32 -0400

apt-src (0.15) unstable; urgency=low

  * Can now use AptPkg::Source to properly get source version numbers.
    Thanks, bod.
  * With that, I can emulate apt's package=version notation to allow
    downloads of sources of specific versions. I can also emulate
    package/release, but only for binary package names. This is not
    yet complete; since on upgrade it will always bring you up to unstable --
    there is no pinning and no holding of sources available yet.
    Closes: #154720
  * Uploaded to the perl staging area since it needs a new version of
    libapt-pkg-perl.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Aug 2002 01:32:14 -0400

apt-src (0.14) unstable; urgency=low

  * Fixed parsing of apt-cache showsrc output in some circumstances.
    Closes: #155145

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Aug 2002 18:25:07 -0400

apt-src (0.13) unstable; urgency=low

  * Capitalize Debian. Closes: #154755

 -- Joey Hess <joeyh@debian.org>  Sat,  3 Aug 2002 15:11:01 -0400

apt-src (0.12) unstable; urgency=low

  * Added an example config file with all the options in it.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jul 2002 14:04:11 -0400

apt-src (0.11) unstable; urgency=low

  * Added a special debian kernel source hack. A debian kernel source package,
    used by make-kpkg will have a debian/changelog like so:

    kernel-source-2.4.18 (dragon.5) unstable; urgency=low

    If such a debian/changelog is found, pull the version number from the
    package name plus the bit in parens, and separate with a + sign,
    yielding 2.4.18+dragon.5 in this example. I hope this takes care of
    flavours and APPEND_TO_VERSION stuff for kernel modules packages using
    apt-src.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Jul 2002 13:22:58 -0400

apt-src (0.10) unstable; urgency=low

  * Gain root before running update.
  * Typo fixes, Closes: #154642
  * Don't croak if the first apt-src command run is a read-only one.
    Closes: #154643

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Jul 2002 19:59:59 -0400

apt-src (0.9) unstable; urgency=low

  * Fixed 'apt-src install <source>' to work again, and make it work in either
    the basedir or the location of the source.
  * Do patching when upgrading with 'apt-src install <source>' too.
  * Keep track of the last installed version of a source, and use that when
    patching, no matter what the changelog claims the version is. This allows
    modification of a tree, changelog incrementing, and then upgrading with
    the patch brought forward.
  * Fixed forward patch generation and application to really work.
  * Added more status messages.
  * Fixed apt-src upgrade --build.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Jul 2002 16:50:14 -0400

apt-src (0.8) unstable; urgency=low

  * Fixed error on first run when ~/.apt-src did not exist.
  * Added a configurable APT::Src::RootCommand; default to sudo.
  * Use RootCommand when satisfying build deps.
  * Pass -y to apt-get build-dep.
  * Default it to verbose mode; for quiet mode use -q.
  * Added -t/--trace switch.
  * Fixed chdir problems.
  * Fixed upgrades, and made upgrading much more robust on unexpected failures.
  * Always scan debian/changelog and parse out version, instead of storing
    a fixed version.
  * Notice when a source tree goes away and forget about it.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Jul 2002 00:53:20 -0400

apt-src (0.7) unstable; urgency=low

  * Fixed stupid typo.

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Jul 2002 02:27:42 -0400

apt-src (0.6) unstable; urgency=low

  * This is the first release into debian proper.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Jul 2002 00:59:48 -0400

apt-src (0.5) unstable; urgency=low

  * The import command will try to guess at the version based on
    debian/changelog, if no version is specified.
  * Centralized errors and warnings, and made them display identical to apt's
    errors and warnings. Not that I like that display much, but..
  * Remove debs and changes after -i. Added a --keep-built option (and a
    config file option) to disable this.
  * Tight command argument count checking; lookup table dispatch.
  * Added a name command, which can look up a source name. This may seem
    useless, but apt-src name 'kernel-source.*' is potentially handy.
  * Lock status file when performing an operation that changes status; don't
    write it out after operations that cannot change status.
  * Make apt-src build error if the requested source package is not installed.
  * Added -v flag for verbose mode; made non-verbose by default.
  * Added a INT signal handler.
  * Fixed changes parsing.
  * Do real version comparison on upgrade.
  * Fixed upgrade cwd glitch.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jun 2002 04:15:51 -0400

apt-src (0.4) unstable; urgency=low

  * Added import command, to allow use of existing source trees without
    necessarily downloading of, oh, the kernel-source source package.
  * Fixed nasty upgrade behavior if there is no known upstream source
    for a package.
  * Update status file atomically. No locking yet though; TODO'd.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Jun 2002 21:51:04 -0400

apt-src (0.3) unstable; urgency=low

  * Added version command.
  * Set APT_SRC_BUILD when building a package. Packages may conditionalize
    on this to know when apt-src is building them, and query it for info.
  * Allow commands to use regexps as part of package names. This allows for
    stuff like: apt-src version 'kernel-source.*'

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Jun 2002 20:08:32 -0400

apt-src (0.2) unstable; urgency=low

  * Make changes file parser support non-free stuff.
  * Fixes for non-local deb installation.

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Jun 2002 22:49:46 -0400

apt-src (0.1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Jun 2002 20:59:20 -0400
